## yacas 1.9.1+dfsg

=== docs/CMakeLists.txt ===
find_package(Sphinx REQUIRED)

if(NOT DEFINED SPHINX_THEME)
    set(SPHINX_THEME default)
endif()

if(NOT DEFINED SPHINX_THEME_DIR)
    set(SPHINX_THEME_DIR)
endif()

# configured documentation tools and intermediate build results
set(BINARY_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/_build")

# Sphinx cache with pickled ReST documents
set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")

# HTML output directory
set(SPHINX_HTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/html")
set(SPHINX_SINGLEHTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/singlehtml")

file (
    COPY
      util
      favicon.ico
      yacaslogo.png
      yacaslogo_w250px.png
      conf.py
    DESTINATION
      "${BINARY_BUILD_DIR}")

add_custom_target(yacas_docs ALL
    ${SPHINX_EXECUTABLE}
        -q -b singlehtml
        -c "${BINARY_BUILD_DIR}"
        -d "${SPHINX_CACHE_DIR}"
        "${CMAKE_CURRENT_SOURCE_DIR}"
        "${SPHINX_SINGLEHTML_DIR}"
    COMMENT "Building HTML documentation with Sphinx")

install (DIRECTORY "${SPHINX_SINGLEHTML_DIR}"
         DESTINATION ${CMAKE_INSTALL_DOCDIR}
         COMPONENT doc
         PATTERN ".buildinfo" EXCLUDE)
