=== docs/requirements.txt ===
sphinxcontrib-bibtex
