=== debian/changelog ===
yacas (1.9.1+dfsg-1) unstable; urgency=medium

  [ наб ]
  * Team upload
  * New upstream version 1.9.1
    Closes: #864387, #311938
  * Maintain package in Debian Science team
  * d/watch: point at new upstream site
    (http://www.yacas.org/getting_started/downloads/)
  * Standards-Version: 4.7.0 (routine-update)
    + d/control: downgrade yacas-doc to Suggests:
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Drop patches, not relevant anymore
  * no sequencer, autohell -> dh, cmake
    Closes: #1047949, #1049777
  * libyacas installed to multi-arch location
  * libyacas.so not installed (just libyacas.a)
  * Debian menu spec dropped
  * yacas_client.1 -> yacas.1 symlink dropped
  * priority-extra-is-replaced-by-priority-optional
  * Homepage: http://www.yacas.org
  * d/copyright: fix for new upstream, DEP-5
  * Vcs-Git: https://salsa.debian.org/science-team/yacas.git (Closes: #1089133)

  [ Andreas Tille ]
  * Provide real package alternative for gnuplot
  * Secure URL in watch file
  * Propagate hardening options

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 26 Dec 2024 23:04:21 +0100
