=== debian/control ===
Source: yacas
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               cmake,
               python3-docutils,
               sphinx,
               python3-sphinxcontrib.bibtex,
               latexmk,
               texlive-latex-recommended,
               tex-gyre,
               texlive-latex-extra,
Homepage: http://www.yacas.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/yacas.git
Vcs-Browser: https://salsa.debian.org/science-team/yacas

Package: yacas
Architecture: any
Depends: ${shlibs:Depends},
         lynx | www-browser,
         gnuplot-x11 | gnuplot,
         ${misc:Depends}
Suggests: texmacs, yacas-doc
Description: Computer Algebra System
 Yacas is a small and highly flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.

Package: yacas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: yacas (= ${binary:Version})
Description: Documentation for Yacas
 Yet Another Computer Algebra System is a small and highly
 flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.
 This package contains the html documentation for yacas.
