=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CXXFLAGS += -fpermissive
export PYTHONDONTWRITEBYTECODE = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_build:
	dh_auto_build
	READTHEDOCS=True $(MAKE) -C docs latexpdf

override_dh_auto_clean:
	mv build.xml .build.xml
	dh_auto_clean
	mv .build.xml build.xml

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_CYACAS_GUI=OFF

override_dh_compress:
	dh_compress -X.pdf

%:
	dh $@ --without ant
