=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
	https://www.yacas.org/getting_started/downloads/ .*/@ANY_VERSION@@ARCHIVE_EXT@
